Daemon Power

The NetBSD Packages Collection: www/ruby-puma

Brief description of the package:
Modern concurrent web server for Ruby

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://puma.io/.

Please note that this package has a mit license.

The package is located in the "www/ruby-puma" directory. The current source version of the package is "ruby200-puma-2.8.1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for www/ruby-puma :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: ruby200-rack>=1.2<2 ruby200-base>=2.0.0 libyaml>=0.1.1 libyaml>=0.1.4 .

This package requires the following package(s) to run: ruby200-rack>=1.2<2 ruby200-base>=2.0.0 libyaml>=0.1.1 libyaml>=0.1.4 .

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
arm:ruby193-puma-2.6.0.tgz(NetBSD 6.1_STABLE)
arm:ruby200-puma-2.8.1.tgz(NetBSD 6.1_STABLE)
i386:ruby18-puma-1.6.3.tgz(MirBSD 10)
i386:ruby193-puma-2.6.0.tgz(MirBSD 10)
i386:ruby193-puma-2.6.0.tgz(MirBSD 10)
i386:ruby18-puma-2.8.1.tgz(MirBSD 10)
i386:ruby193-puma-2.8.1.tgz(MirBSD 10)
i386:ruby200-puma-2.8.1.tgz(MirBSD 10)
i386:ruby18-puma-1.6.3.tgz(NetBSD 5.0.2)
i386:ruby193-puma-1.6.3.tgz(NetBSD 5.0.2)
i386:ruby18-puma-2.8.1.tgz(NetBSD 5.1)
i386:ruby193-puma-2.8.1.tgz(NetBSD 5.1)
i386:ruby200-puma-2.8.1.tgz(NetBSD 5.1)
i386:ruby212-puma-2.8.1.tgz(NetBSD 5.1)
i386:ruby18-puma-2.6.0.tgz(NetBSD 5.1)
i386:ruby193-puma-2.6.0.tgz(NetBSD 5.1)
i386:ruby200-puma-2.6.0.tgz(NetBSD 5.1)
i386:ruby18-puma-2.6.0.tgz(NetBSD 5.1)
i386:ruby193-puma-2.6.0.tgz(NetBSD 5.1)
i386:ruby200-puma-2.6.0.tgz(NetBSD 5.1)
i386:ruby18-puma-2.8.1.tgz(NetBSD 5.1)
i386:ruby193-puma-2.8.1.tgz(NetBSD 5.1)
i386:ruby200-puma-2.8.1.tgz(NetBSD 5.1)
i386:ruby211-puma-2.8.1.tgz(NetBSD 5.1)
i386:ruby18-puma-2.8.1.tgz(NetBSD 5.1)
i386:ruby193-puma-2.8.1.tgz(NetBSD 5.1)
i386:ruby200-puma-2.8.1.tgz(NetBSD 5.1)
i386:ruby212-puma-2.8.1.tgz(NetBSD 5.1)
i386:ruby18-puma-1.6.3.tgz(NetBSD 5.1.2)
i386:ruby193-puma-1.6.3.tgz(NetBSD 5.1.2)
i386:ruby18-puma-2.8.1.tgz(NetBSD 5.2)
i386:ruby193-puma-2.8.1.tgz(NetBSD 5.2)
i386:ruby200-puma-2.8.1.tgz(NetBSD 5.2)
i386:ruby215-puma-2.8.1.tgz(NetBSD 5.2)
i386:ruby18-puma-2.8.1.tgz(NetBSD 6.0)
i386:ruby193-puma-2.8.1.tgz(NetBSD 6.0)
i386:ruby200-puma-2.8.1.tgz(NetBSD 6.0)
i386:ruby215-puma-2.8.1.tgz(NetBSD 6.0)
i386:ruby18-puma-1.6.3.tgz(NetBSD 6.0)
i386:ruby193-puma-1.6.3.tgz(NetBSD 6.0)
i386:ruby18-puma-2.6.0.tgz(NetBSD 6.0)
i386:ruby193-puma-2.6.0.tgz(NetBSD 6.0)
i386:ruby200-puma-2.6.0.tgz(NetBSD 6.0)
i386:ruby18-puma-2.6.0.tgz(NetBSD 6.0)
i386:ruby193-puma-2.6.0.tgz(NetBSD 6.0)
i386:ruby200-puma-2.6.0.tgz(NetBSD 6.0)
i386:ruby18-puma-2.8.1.tgz(NetBSD 6.0)
i386:ruby193-puma-2.8.1.tgz(NetBSD 6.0)
i386:ruby200-puma-2.8.1.tgz(NetBSD 6.0)
i386:ruby211-puma-2.8.1.tgz(NetBSD 6.0)
i386:ruby18-puma-2.8.1.tgz(NetBSD 6.0)
i386:ruby193-puma-2.8.1.tgz(NetBSD 6.0)
i386:ruby200-puma-2.8.1.tgz(NetBSD 6.0)
i386:ruby212-puma-2.8.1.tgz(NetBSD 6.0)
powerpc:ruby200-puma-2.8.1.tgz(NetBSD 6.1_STABLE)
sparc64:ruby193-puma-2.6.0.tgz(NetBSD 6.1_STABLE)
sparc64:ruby200-puma-2.8.1.tgz(NetBSD 6.1_STABLE)
sparc:ruby18-puma-2.8.1.tgz(NetBSD 5.1)
sparc:ruby193-puma-2.8.1.tgz(NetBSD 5.1)
sparc:ruby18-puma-2.8.1.tgz(NetBSD 5.1)
sparc:ruby193-puma-2.8.1.tgz(NetBSD 5.1)
sparc:ruby18-puma-2.8.1.tgz(NetBSD 5.1)
sparc:ruby193-puma-2.8.1.tgz(NetBSD 5.1)
sparc:ruby193-puma-2.6.0.tgz(NetBSD 6.0)
sparc:ruby193-puma-2.8.1.tgz(NetBSD 6.0)
x86_64:ruby18-puma-1.6.3.tgz(NetBSD 5.0.2)
x86_64:ruby193-puma-1.6.3.tgz(NetBSD 5.0.2)
x86_64:ruby18-puma-2.8.1.tgz(NetBSD 5.1)
x86_64:ruby193-puma-2.8.1.tgz(NetBSD 5.1)
x86_64:ruby200-puma-2.8.1.tgz(NetBSD 5.1)
x86_64:ruby214-puma-2.8.1.tgz(NetBSD 5.1)
x86_64:ruby18-puma-1.6.3.tgz(NetBSD 5.1)
x86_64:ruby193-puma-1.6.3.tgz(NetBSD 5.1)
x86_64:ruby18-puma-1.6.3.tgz(NetBSD 5.1)
x86_64:ruby193-puma-1.6.3.tgz(NetBSD 5.1)
x86_64:ruby18-puma-2.6.0.tgz(NetBSD 5.1)
x86_64:ruby193-puma-2.6.0.tgz(NetBSD 5.1)
x86_64:ruby200-puma-2.6.0.tgz(NetBSD 5.1)
x86_64:ruby18-puma-2.6.0.tgz(NetBSD 5.1)
x86_64:ruby193-puma-2.6.0.tgz(NetBSD 5.1)
x86_64:ruby200-puma-2.6.0.tgz(NetBSD 5.1)
x86_64:ruby18-puma-2.8.1.tgz(NetBSD 5.1)
x86_64:ruby193-puma-2.8.1.tgz(NetBSD 5.1)
x86_64:ruby200-puma-2.8.1.tgz(NetBSD 5.1)
x86_64:ruby211-puma-2.8.1.tgz(NetBSD 5.1)
x86_64:ruby18-puma-2.8.1.tgz(NetBSD 5.1)
x86_64:ruby193-puma-2.8.1.tgz(NetBSD 5.1)
x86_64:ruby200-puma-2.8.1.tgz(NetBSD 5.1)
x86_64:ruby212-puma-2.8.1.tgz(NetBSD 5.1)
x86_64:ruby18-puma-2.8.1.tgz(NetBSD 5.2)
x86_64:ruby193-puma-2.8.1.tgz(NetBSD 5.2)
x86_64:ruby200-puma-2.8.1.tgz(NetBSD 5.2)
x86_64:ruby215-puma-2.8.1.tgz(NetBSD 5.2)
x86_64:ruby18-puma-1.6.3.tgz(NetBSD 6.0)
x86_64:ruby193-puma-1.6.3.tgz(NetBSD 6.0)
x86_64:ruby18-puma-1.6.3.tgz(NetBSD 6.0)
x86_64:ruby193-puma-1.6.3.tgz(NetBSD 6.0)
x86_64:ruby18-puma-2.6.0.tgz(NetBSD 6.0)
x86_64:ruby193-puma-2.6.0.tgz(NetBSD 6.0)
x86_64:ruby200-puma-2.6.0.tgz(NetBSD 6.0)
x86_64:ruby18-puma-2.6.0.tgz(NetBSD 6.0)
x86_64:ruby193-puma-2.6.0.tgz(NetBSD 6.0)
x86_64:ruby200-puma-2.6.0.tgz(NetBSD 6.0)
x86_64:ruby18-puma-2.8.1.tgz(NetBSD 6.0)
x86_64:ruby193-puma-2.8.1.tgz(NetBSD 6.0)
x86_64:ruby200-puma-2.8.1.tgz(NetBSD 6.0)
x86_64:ruby211-puma-2.8.1.tgz(NetBSD 6.0)
x86_64:ruby18-puma-2.8.1.tgz(NetBSD 6.0)
x86_64:ruby193-puma-2.8.1.tgz(NetBSD 6.0)
x86_64:ruby200-puma-2.8.1.tgz(NetBSD 6.0)
x86_64:ruby212-puma-2.8.1.tgz(NetBSD 6.0)
x86_64:ruby18-puma-2.8.1.tgz(NetBSD 6.0)
x86_64:ruby193-puma-2.8.1.tgz(NetBSD 6.0)
x86_64:ruby200-puma-2.8.1.tgz(NetBSD 6.0)
x86_64:ruby215-puma-2.8.1.tgz(NetBSD 6.0)
x86_64:ruby18-puma-2.8.1.tgz(NetBSD 7.0_BETA)
x86_64:ruby193-puma-2.8.1.tgz(NetBSD 7.0)
x86_64:ruby200-puma-2.8.1.tgz(NetBSD 7.0)
x86_64:ruby215-puma-2.8.1.tgz(NetBSD 7.0)
x86_64:ruby18-puma-2.8.1.tgz(NetBSD 7.0_BETA)
x86_64:ruby193-puma-2.8.1.tgz(NetBSD 7.0_BETA)
x86_64:ruby200-puma-2.8.1.tgz(NetBSD 7.0_BETA)
x86_64:ruby212-puma-2.8.1.tgz(NetBSD 7.0_BETA)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]